apiVersion: argoproj.io/v1alpha1
kind: Workflow
metadata:
  name: ftp-service-template
spec:
  entrypoint: ftp-service
  arguments: {}
  templates:
    - name: ftp-service
      inputs: {}
      metadata: {}
      resource:
        action: apply
        manifest: |
          apiVersion: v1
          kind: Service
          metadata:
            name: ftp-service
            labels:
              scenario: ftp
          spec:
            type: ClusterIP
            ports:
            - name: ftp21
              port: 21
              targetPort: 21
              protocol: TCP
            - name: ftp20
              port: 20
              targetPort: 20
              protocol: TCP
            - name: ftp-pasv
              port: 21100
              targetPort: 21100
              protocol: TCP
            selector:
              app: ftp-server
  ttlStrategy:
    secondsAfterCompletion: 300
  podGC:
    strategy: OnPodCompletion
